package com.yidian.shenghuoquan.bgeneralbusiness.app

import com.yidian.bcommon.app.YdBaseApplication
import com.yidian.news.util.ProcessUtil
import com.yidian.shenghuoquan.bgeneralbusiness.http.BNAHttpReqService
import com.yidian.yac.core.core.YacModuleSpec
import com.yidian.yac.core.zap.Zap

@YacModuleSpec
class BGeneralBusinessApplication : YdBaseApplication() {

  override fun onCreate() {
    super.onCreate()
    if (ProcessUtil.isMainProcess(this)) {
      initService()
    }
  }

  private fun initService() {
    Zap.addService(BNAHttpReqService.SERVICE_NAME, BNAHttpReqService())
  }
}
